Bug 243281 - Wrong init script
Wrong init script
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: portmap (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
bzcl34nup
:
Depends On: 243279
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 07:58 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 11:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-08 07:58:11 EDT
+++ This bug was initially created as a clone of Bug #243279 +++

Description of problem:
The portmap init script returns incorrect error codes and some parts of it also
prevents call of status command. For example:
if [ "$NETWORKING" = "no" ]; then
        exit 0
fi
[ -f /sbin/portmap ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Bug Zapper 2008-04-04 06:59:57 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Steve Dickson 2008-04-25 11:50:32 EDT
Portmapper is no longer part of Fedora. The package was
replaced with rpcbind

Note You need to log in before you can comment on or make changes to this bug.